## libslow5lib 0.7.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# choose the architecture
set(DEPLOY_PLATFORM x86)
# set_property(CACHE DEPLOY_PLATFORM PROPERTY STRINGS unknown x86 arm64-v8a armeabi-v7a)

project(slow5lib)

#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=gnu99 -fopenmp")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=c99")

option(SLOW5_USE_ZSTD "Use ZSTD" OFF) #OFF by default
if(SLOW5_USE_ZSTD)
    add_compile_options("-DSLOW5_USE_ZSTD")
    link_libraries("-lzstd")
endif(SLOW5_USE_ZSTD)
unset(SLOW5_USE_ZSTD CACHE)

# option(SLOW5_USE_OPENMP "Use OPENMP" OFF) #OFF by default
# if(SLOW5_USE_OPENMP)
#     add_compile_options("-fopenmp")
#     link_libraries("-fopenmp")
# endif(SLOW5_USE_OPENMP)
# unset(SLOW5_USE_OPENMP CACHE)

# include_directories(${PROJECT_SOURCE_DIR}/src)
# include_directories(${PROJECT_SOURCE_DIR}/test)
include_directories(${PROJECT_SOURCE_DIR}/include)
include_directories(${PROJECT_SOURCE_DIR}/thirdparty/streamvbyte/include)

set(slow5_ src/slow5.c)
set(slow5_idx src/slow5_idx.c)
set(slow5_misc src/slow5_misc.c)
set(slow5_press src/slow5_press.c)

# example source files
# set(random_read examples/random_read.c)
# set(sequential_read examples/sequential_read.c)
# set(slow5_hdr_get examples/get_hdr_attribute.c)
# set(slow5_aux_get examples/get_aux_field.c)
# set(pthread_get_reads examples/random_read_pthreads.c)
# set(openmp_get_reads examples/random_read_openmp.c)
# add_executable(slow5exmp ${openmp_get_reads})

add_subdirectory(thirdparty/streamvbyte)

option(SLOW5_LINK_STATIC "libslow5 will create a static lib" OFF) #OFF by default
if(SLOW5_LINK_STATIC)
    message( STATUS "libslow5 will create a static lib" )
    add_library(slow5 STATIC ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
else()
    message( STATUS "libslow5 will create a shared lib" )
    add_library(slow5 SHARED ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
endif(SLOW5_LINK_STATIC)
unset(SLOW5_LINK_STATIC CACHE)

target_link_libraries(slow5 streamvbyte_slow5)

# Build a static lib
#add_library(slow5 STATIC ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
#
# Build a shared lib
#
#just to get rid of Clion warnings
# file(GLOB_RECURSE C_SOURCES RELATIVE ${CMAKE_SOURCE_DIR} "test/*.c")
# add_executable(slow5test test/unit_test_two_rg.c) #run make test to test all tests in one go. this is mostly for debugging
#
#
# link with dependencies
# IF (${DEPLOY_PLATFORM} STREQUAL "x86")
#     target_link_libraries(slow5test slow5 streamvbyte_slow5 -lz -ldl -lm -lpthread -lrt)
#     target_link_libraries(slow5exmp slow5 streamvbyte_slow5 -lz -ldl -lm -lpthread -lrt)
# ELSE()
#     target_link_libraries(slow5test slow5 streamvbyte_slow5 -lz -ldl -lm)
#     target_link_libraries(slow5exmp slow5 streamvbyte_slow5 -lz -ldl -lm)
# ENDIF()

## libslow5lib 0.6.0+dfsg

=== debian/changelog ===
libslow5lib (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 09:13:12 +0200

libslow5lib (0.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add hardening opts

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Jul 2022 23:36:05 +0530

libslow5lib (0.5.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1014210)

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jul 2022 13:39:22 +0530

=== debian/control ===
Source: libslow5lib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               d-shlibs,
               dh-python,
               python3-all,
               python3-all-dev,
               libstreamvbyte-dev,
               libzstd-dev,
               zlib1g-dev,
               cython3,
               python3-setuptools,
               python3-numpy,
               python3-wheel
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
Homepage: https://github.com/hasindu2008/slow5lib
Rules-Requires-Root: no

Package: libslow5-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: library for reading & writing SLOW5 files
 Slow5lib is a software library for reading & writing SLOW5 files.
 Slow5lib is designed to facilitate use of data in SLOW5 format by third-
 party software packages. Existing packages that read/write data in FAST5
 format can be easily modified to support SLOW5.
 .
 SLOW5 is a new file format for storing signal data from Oxford Nanopore
 Technologies (ONT) devices. SLOW5 was developed to overcome inherent
 limitations in the standard FAST5 signal data format that prevent
 efficient, scalable analysis and cause many headaches for developers.
 SLOW5 can be encoded in human-readable ASCII format, or a more compact
 and efficient binary format (BLOW5) - this is analogous to the seminal
 SAM/BAM format for storing DNA sequence alignments. The BLOW5 binary
 format supports *zlib* (DEFLATE) compression, or other compression
 methods, thereby minimising the data storage footprint while still
 permitting efficient parallel access. Detailed benchmarking experiments
 have shown that SLOW5 format is an order of magnitude faster and
 significantly smaller than FAST5.

Package: libslow5-dev
Architecture: any
Section: libdevel
Depends: libslow5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: header and static library for reading & writing SLOW5 files
 Slow5lib is a software library for reading & writing SLOW5 files.
 Slow5lib is designed to facilitate use of data in SLOW5 format by third-
 party software packages. Existing packages that read/write data in FAST5
 format can be easily modified to support SLOW5.
 .
 SLOW5 is a new file format for storing signal data from Oxford Nanopore
 Technologies (ONT) devices. SLOW5 was developed to overcome inherent
 limitations in the standard FAST5 signal data format that prevent
 efficient, scalable analysis and cause many headaches for developers.
 SLOW5 can be encoded in human-readable ASCII format, or a more compact
 and efficient binary format (BLOW5) - this is analogous to the seminal
 SAM/BAM format for storing DNA sequence alignments. The BLOW5 binary
 format supports *zlib* (DEFLATE) compression, or other compression
 methods, thereby minimising the data storage footprint while still
 permitting efficient parallel access. Detailed benchmarking experiments
 have shown that SLOW5 format is an order of magnitude faster and
 significantly smaller than FAST5.
 .
 This is the development package containing headers and static library.

Package: python3-slow5
Architecture: any
Section: python
Depends: libslow5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: Python3 modul for reading & writing SLOW5 files
 Slow5lib is a software library for reading & writing SLOW5 files.
 Slow5lib is designed to facilitate use of data in SLOW5 format by third-
 party software packages. Existing packages that read/write data in FAST5
 format can be easily modified to support SLOW5.
 .
 SLOW5 is a new file format for storing signal data from Oxford Nanopore
 Technologies (ONT) devices. SLOW5 was developed to overcome inherent
 limitations in the standard FAST5 signal data format that prevent
 efficient, scalable analysis and cause many headaches for developers.
 SLOW5 can be encoded in human-readable ASCII format, or a more compact
 and efficient binary format (BLOW5) - this is analogous to the seminal
 SAM/BAM format for storing DNA sequence alignments. The BLOW5 binary
 format supports *zlib* (DEFLATE) compression, or other compression
 methods, thereby minimising the data storage footprint while still
 permitting efficient parallel access. Detailed benchmarking experiments
 have shown that SLOW5 format is an order of magnitude faster and
 significantly smaller than FAST5.
 .
 This is the Python3 module.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export PYBUILD_NAME=slow5

DEFPY3 := $(shell py3versions -v -d)
PY_PLATFORM := $(shell python3 -c 'from distutils.util import get_platform; print(get_platform())')

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
                -DSLOW5_USE_ZSTD="ON"
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	for py in `py3versions -s`; do \
		$$py setup.py build; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p lib
	cp -a obj-$(DEB_HOST_GNU_TYPE)/libslow5_static.a lib/libslow5.a
	$(MAKE) -C test zstd=1
	PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) python3 -m unittest -v python/test.py
endif

override_dh_install:
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.a
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev include usr \
		    debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.so
	dh_install
	dh_install -plibslow5-dev src/*.h usr/include/slow5/
	dh_install -ppython3-slow5 build/lib.*-*/* usr/lib/python3/dist-packages/

execute_after_dh_install:
	dh_numpy3

override_dh_installexamples:
	dh_installexamples
	dh_installexamples -ppython3-slow5 python/example.py
	dh_installexamples -ppython3-slow5 examples/*.slow5

## libslow5lib 0.7.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -26,16 +26,21 @@
 	done
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p lib
 	cp -a obj-$(DEB_HOST_GNU_TYPE)/libslow5_static.a lib/libslow5.a
 	$(MAKE) -C test zstd=1
-	PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) python3 -m unittest -v python/test.py
-endif
+	for pys in `py3versions -s`; do \
+                echo $$pys; \
+                pydir=`$$pys debian/get-pyver-dir.py`; \
+                echo $$pydir; X=0; \
+                PYTHONPATH=`pwd`/build/$$pydir $$pys -m unittest -v python/test.py || X=$$?; \
+		if [ "$X" != 0 ]; then exit $$X; fi; \
+        done
 
 override_dh_install:
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.a
 	d-shlibmove --commit \
+		    --t64 \
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \

## libslow5lib 0.7.0+dfsg

=== debian/changelog ===
libslow5lib (0.7.0+dfsg-3build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:11:00 +0000

libslow5lib (0.7.0+dfsg-3build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:32:46 +0000

libslow5lib (0.7.0+dfsg-3build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:27:40 +0000

libslow5lib (0.7.0+dfsg-3build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:33:05 +0100

libslow5lib (0.7.0+dfsg-3) unstable; urgency=medium

  * use_debian_packaged_streamvbyte.patch: fix a type error. (Closes: #1075205)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/s/lintian-overrides: flag error caused by t64 transition.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Jul 2024 22:36:50 +0200

libslow5lib (0.7.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063136

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:28:36 +0000

libslow5lib (0.7.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Drop B-D on python3-all. It should not B-D both on -all and -all-dev
  * Add a tiny script to print correct pyversion directory wherein so lib
    is present during build
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * d/rules:
    + Remove un-needed nocheck override from test
    + Hard-fail if a test fails
    + Run build time test for all supported python version ensuring directory
      with solib corresponding to python interpreter version is selected
      (Closes: #1028666)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Jan 2023 03:28:31 +0530

libslow5lib (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reflect symbol change in symbols file - crossing fingers that the
    only dependency does not use the only renamed symbol and thus do not
    bump SONAME

 -- Andreas Tille <tille@debian.org>  Thu, 13 Oct 2022 08:18:19 +0200

libslow5lib (0.6.0+dfsg-2) unstable; urgency=medium

  * Add symbols file
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Fix build time test
    Closes: #1020023

 -- Andreas Tille <tille@debian.org>  Mon, 19 Sep 2022 14:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libslow5lib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
-               d-shlibs,
+               d-shlibs (>= 0.106~),
                dh-python,
-               python3-all,
                python3-all-dev,
                libstreamvbyte-dev,
                libzstd-dev,
@@ -16,13 +16,16 @@
                python3-setuptools,
                python3-numpy,
                python3-wheel
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
 Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
 Homepage: https://github.com/hasindu2008/slow5lib
 Rules-Requires-Root: no
 
-Package: libslow5-0
+Package: libslow5-0t64
+Provides: ${t64:Provides}
+Replaces: libslow5-0
+Conflicts: libslow5-0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -50,9 +53,10 @@
 Package: libslow5-dev
 Architecture: any
 Section: libdevel
-Depends: libslow5-0 (= ${binary:Version}),
+Depends: libslow5-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: header and static library for reading & writing SLOW5 files
  Slow5lib is a software library for reading & writing SLOW5 files.
  Slow5lib is designed to facilitate use of data in SLOW5 format by third-
@@ -77,7 +81,7 @@
 Package: python3-slow5
 Architecture: any
 Section: python
-Depends: libslow5-0 (= ${binary:Version}),
+Depends: libslow5-0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends}

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/hasindu2008/slow5lib/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## libslow5lib 1.3.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 project(slow5lib)
 
 #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=gnu99 -fopenmp")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=c99")
+IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O0 -std=c99")
+ELSEIF()
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -std=c99")
+ENDIF()
 
 option(SLOW5_USE_ZSTD "Use ZSTD" OFF) #OFF by default
 if(SLOW5_USE_ZSTD)
@@ -15,6 +19,14 @@
     link_libraries("-lzstd")
 endif(SLOW5_USE_ZSTD)
 unset(SLOW5_USE_ZSTD CACHE)
+
+option(SLOW5_ENABLE_MT "Use SLOW5_ENABLE_MT" OFF) #OFF by default
+if(SLOW5_ENABLE_MT)
+    add_compile_options("-DSLOW5_ENABLE_MT")
+    link_libraries("-lpthread")
+    set(slow5_mt src/slow5_mt.c)
+endif(SLOW5_ENABLE_MT)
+unset(SLOW5_ENABLE_MT CACHE)
 
 # option(SLOW5_USE_OPENMP "Use OPENMP" OFF) #OFF by default
 # if(SLOW5_USE_OPENMP)
@@ -25,8 +37,8 @@
 
 # include_directories(${PROJECT_SOURCE_DIR}/src)
 # include_directories(${PROJECT_SOURCE_DIR}/test)
-include_directories(${PROJECT_SOURCE_DIR}/include)
-include_directories(${PROJECT_SOURCE_DIR}/thirdparty/streamvbyte/include)
+# include_directories(${PROJECT_SOURCE_DIR}/include)
+# include_directories(${PROJECT_SOURCE_DIR}/thirdparty/streamvbyte/include)
 
 set(slow5_ src/slow5.c)
 set(slow5_idx src/slow5_idx.c)
@@ -47,13 +59,14 @@
 option(SLOW5_LINK_STATIC "libslow5 will create a static lib" OFF) #OFF by default
 if(SLOW5_LINK_STATIC)
     message( STATUS "libslow5 will create a static lib" )
-    add_library(slow5 STATIC ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
+    add_library(slow5 STATIC ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press} ${slow5_mt})
 else()
     message( STATUS "libslow5 will create a shared lib" )
-    add_library(slow5 SHARED ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press})
+    add_library(slow5 SHARED ${slow5_} ${slow5_idx} ${slow5_misc} ${slow5_press} ${slow5_mt})
 endif(SLOW5_LINK_STATIC)
 unset(SLOW5_LINK_STATIC CACHE)
 
+target_include_directories(slow5 PUBLIC ${PROJECT_SOURCE_DIR}/include)
 target_link_libraries(slow5 streamvbyte_slow5)
 
 # Build a static lib

=== test/Makefile ===
CC			= cc
SRC			= ../src
LIB			= ../lib
CPPFLAGS	+= -I ../include/ -I $(SRC)/
#CFLAGS		+= -g -Wall -Werror -Wpedantic -std=c99
CFLAGS		+= -g -Wall -Werror -std=gnu99
LDFLAGS		+= $(LIB)/libslow5.a -lm -lz
ifeq ($(zstd),1)
CFLAGS		+= -DSLOW5_USE_ZSTD
LDFLAGS		+= -lzstd
endif
BIN_DIR		= bin

TESTS = $(BIN_DIR)/endian_test \
	$(BIN_DIR)/unit_test_helpers \
	$(BIN_DIR)/unit_test_press \
	$(BIN_DIR)/unit_test_ascii \
	$(BIN_DIR)/unit_test_binary \
	$(BIN_DIR)/convert_slow5_test \
	$(BIN_DIR)/unit_test_two_rg \
	$(BIN_DIR)/unit_test_lossless \
	$(BIN_DIR)/unit_test_empty \
	$(BIN_DIR)/unit_test_enum

all: $(BIN_DIR) $(TESTS)

$(BIN_DIR):
	mkdir $@

$(BIN_DIR)/endian_test: endian_test.c
	$(CC) $(CFLAGS) $< -o $@

$(BIN_DIR)/unit_test_helpers: unit_test_helpers.c unit_test.h $(LIB)/libslow5.a $(SRC)/slow5_extra.h $(SRC)/slow5_misc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/unit_test_press: unit_test_press.c unit_test.h $(LIB)/libslow5.a
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/unit_test_ascii: unit_test_ascii.c unit_test.h $(LIB)/libslow5.a $(SRC)/slow5_extra.h $(SRC)/slow5_misc.h $(SRC)/slow5_idx.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/unit_test_binary: unit_test_binary.c unit_test.h $(LIB)/libslow5.a $(SRC)/slow5_extra.h $(SRC)/slow5_misc.h $(SRC)/slow5_idx.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/convert_slow5_test: convert_slow5_test.c unit_test.h $(LIB)/libslow5.a
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/unit_test_two_rg: unit_test_two_rg.c unit_test.h $(LIB)/libslow5.a $(SRC)/slow5_extra.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/unit_test_lossless: unit_test_lossless.c unit_test.h $(LIB)/libslow5.a $(SRC)/slow5_extra.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/unit_test_empty: unit_test_empty.c unit_test.h $(LIB)/libslow5.a $(SRC)/slow5_extra.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

$(BIN_DIR)/unit_test_enum: unit_test_enum.c unit_test.h $(LIB)/libslow5.a $(SRC)/slow5_extra.h $(SRC)/slow5_misc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $< -o $@ $(LDFLAGS)

clean:
	rm -rf $(TESTS) $(BIN_DIR)

=== debian/changelog ===
libslow5lib (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.1+dfsg. (Closes: #1069771, #1117756)
  * use_debian_packaged_streamvbyte.patch: refresh.
  * enable_shared_and_static.patch: refresh.
  * fix-baseline.patch: refresh.
  * d/libslow5-0t64.symbols: append new symbols.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: build depends on python3-numpy-dev.
  * d/rules: install all examples.
  * d/clean: cleanup extra files. (Closes: #1048497)
  * d/rules: protect include/ directory from mishaps. (Closes: #1049769)
  * unshuffle-makefile.patch: new: fix make --reverse. (Closes: #1105533)
  * enable_shared_and_static.patch: normalise timestamp.
  * d/watch: convert to v5 Github template.
  * d/libslow5-0t64.lintian-overrides: deleted.
    The override has become unused.
  * d/rules: fix permissions on README.md files.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Nov 2025 22:20:23 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                cython3,
                python3-setuptools,
                python3-numpy,
+               python3-numpy-dev,
                python3-wheel
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
 Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
 Homepage: https://github.com/hasindu2008/slow5lib
-Rules-Requires-Root: no
 
 Package: libslow5-0t64
 Provides: ${t64:Provides}

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
         done
 
 override_dh_install:
+	cp -r include include.orig
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5_static.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libslow5.a
 	d-shlibmove --commit \
 		    --t64 \
@@ -49,11 +50,18 @@
 	dh_install
 	dh_install -plibslow5-dev src/*.h usr/include/slow5/
 	dh_install -ppython3-slow5 build/lib.*-*/* usr/lib/python3/dist-packages/
+	mv -vf include.orig include
 
 execute_after_dh_install:
 	dh_numpy3
 
+SLOW5_EXAMPLES_DIR = debian/python3-slow5/usr/share/doc/python3-slow5/examples
+execute_after_dh_fixperms:
+	chmod -x $(SLOW5_EXAMPLES_DIR)/README.md
+	chmod -x $(SLOW5_EXAMPLES_DIR)/adv/README.md
+	chmod -x $(SLOW5_EXAMPLES_DIR)/mt/README.md
+
 override_dh_installexamples:
 	dh_installexamples
 	dh_installexamples -ppython3-slow5 python/example.py
-	dh_installexamples -ppython3-slow5 examples/*.slow5
+	dh_installexamples -ppython3-slow5 examples/*

=== debian/tests/control ===
Tests: run-pybinding-test
Depends: @, python3-all
Restrictions: allow-stderr

Tests: run-pkg-test
Depends: @, build-essential, zlib1g-dev, libstreamvbyte-dev
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: hasindu2008
Project: slow5lib
Repack-Suffix: +dfsg
DVersion-Mangle: auto

## libslow5lib 1.4.0+dfsg

=== debian/changelog ===
libslow5lib (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.0+dfsg
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.
  * unshuffle-makefile.patch: forwarded upstream.
  * unshuffle-makefile.patch: use short form BTS URI.
  * d/patches/*: declare remaining changes forwarding not-needed.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Feb 2026 17:35:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
-Priority: optional
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                d-shlibs (>= 0.106~),
@@ -17,7 +16,7 @@
                python3-numpy,
                python3-numpy-dev,
                python3-wheel
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/libslow5lib
 Vcs-Git: https://salsa.debian.org/med-team/libslow5lib.git
 Homepage: https://github.com/hasindu2008/slow5lib
